# NomadMania Expo Go App

#### Installation

1. Clone the repository `https://git.nomadmania.travel/SashaGoncharov19/nomadmania-app.git`.
2. Install project dependencies with command `npm install`.

#### Launching
1. Download Expo Go on your phone.
2. Start project with command `npm start`.
3. Open Expo Go on your phone and scan the QR-code or enter you Expo Go IP server manually.


#### App Structure

App.tsx                       || App entrypoint file <br>
Route.tsx                     || App routes <br>
src/ <br>
├── components/               || Reusable UI components <br>
├── constants/                || Secrets and environment variables <br>
├── modules/                  || API calls and data fetching logic <br>
├── screens/                  || App screens built with components <br>
├── storage/                  || Async storage functions <br>
├── types/                    || Navigation types, enums, and component props <br>
├── utils/                    || Reusable functions and utilities <br>
└── theme.ts                  || Global theme styles <br>


##### Future updates:

- [ ] Error handler
- [ ] Rework React-Query