import { StyleSheet } from 'react-native';

import { Colors } from '../../theme';
import { getFontSize } from '../../utils';
import { ButtonVariants } from '../../types/components';

export const styles = StyleSheet.create({
  button: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 8,
    gap: 10,
    padding: 12
  },
  text: {
    fontSize: getFontSize(16),
    fontFamily: 'redhat-700'
  },
  opacityButton: {
    borderStyle: 'solid',
    borderWidth: 1,
    borderColor: 'rgba(255, 255, 255, 0.4)',
    backgroundColor: ButtonVariants.OPACITY
  },
  opacityText: {
    color: Colors.WHITE
  },
  fillButton: {
    backgroundColor: ButtonVariants.FILL
  },
  fillText: {
    color: Colors.WHITE
  },
  textButtonText: {
    color: Colors.DARK_BLUE
  }
});
