import { StyleSheet } from 'react-native';
import { Colors } from '../../theme';

export const styles = StyleSheet.create({
  centeredView: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: 'rgba(0,0,0,0.5)',
  },
  modalView: {
    margin: 16,
    backgroundColor: "white",
    borderRadius: 15,
    paddingHorizontal: 20,
    paddingVertical: 40,
    gap: 10,
    shadow: {
      shadowColor: "#000000",
      shadowOffset: {
        width: 0,
        height: 10,
      },
      shadowOpacity: 0.18,
      shadowRadius: 46,
      elevation: 12,
    },
  },
  closeButton: {
    position: 'absolute',
    top: 5,
    right: 5,
    padding: 10,
  },
  okButton: {
    backgroundColor: Colors.ORANGE,
    borderRadius: 20,
    padding: 10,
    elevation: 2,
    marginTop: 15,
  },
  okButtonText: {
    color: "white",
    fontWeight: "bold",
    textAlign: "center"
  },
  modalText: {
    marginBottom: 15,
    color: '#3E6471',
    fontSize: 14,
  },
  modalTitle: {
    color: '#0F3F4F',
    fontSize: 18,
    fontWeight: 'bold',
    textAlign: "center",
  }
});
