import React, { FC, ReactNode } from 'react';
import { SafeAreaView, StyleProp, ViewStyle } from 'react-native';

import { styles } from './styles';

type Props = {
  children: ReactNode;
  style?: StyleProp<ViewStyle>;
};

export const PageWrapper: FC<Props> = ({ children, style }) => {
  return <SafeAreaView style={[styles.wrapper, style]}>{children}</SafeAreaView>;
};
