import { StyleSheet } from 'react-native';
import { Colors } from 'src/theme';

export const styles = StyleSheet.create({
  centeredView: {
    backgroundColor: Colors.WHITE,
    borderRadius: 15
  },
  modalView: {
    marginLeft: '5%',
    marginRight: '5%',
    marginTop: '5%',
    marginBottom: '5%',
    shadowColor: 'rgba(0, 0, 0, 0.05)',
    shadowOffset: {
      width: 0,
      height: 10
    },
    shadowOpacity: 0.05,
    shadowRadius: 15,
    elevation: 5,
    backgroundColor: Colors.WHITE
  },
  modalContent: {
    display: 'flex',
    alignItems: 'center'
  },
  modalTitle: {
    marginBottom: 15,
    textAlign: 'center',
    fontWeight: 'bold',
    fontSize: 18,
    color: Colors.DARK_BLUE
  },
  modalText: {
    marginBottom: 24,
    textAlign: 'left',
    color: Colors.DARK_BLUE,
    fontWeight: '500',
    fontSize: 14,
    lineHeight: 20,
  },
  buttonContainer: {
    flexDirection: 'row',
    marginBottom: 20,
    gap: 15
  },
});
