import { NavigationProp } from '@react-navigation/native';

export interface SeriesGroup {
  key: string;
  title: string;
  series_id: number;
  icon?: string;
  items?: any[];
}

export type Props = {
  navigation: NavigationProp<any>;
  route: any;
};

export interface SeriesItem {
  id: number;
  name: string;
  description: string | null;
  new: 0 | 1;
  visited: 0 | 1;
  double_point: 0 | 1;
  visited_double: 0 | 1;
  link: string;
}

export interface SeriesData {
  series_id: number;
  series_name: string;
  icon: string;
  items: SeriesItem[];
}

export interface PhotosData {
  title: string;
  id: number;
  user_id: number;
  first_name: string;
  last_name: string;
  uri: string;
  uriSmall: string;
}
