import { StyleSheet } from 'react-native';
import { Colors } from 'src/theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  wrapper: {
    paddingTop: 16,
    marginTop: 4,
    gap: 20,
    paddingBottom: 32
  },
  scoreContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'space-between'
  },
  headerText: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  modal: {
    justifyContent: 'flex-end',
    margin: 0
  },
  updatesTextCount: {
    fontSize: 12,
    fontWeight: '700',
    color: Colors.DARK_BLUE
  },
  updatesText: {
    fontSize: 12,
    fontWeight: '600',
    color: Colors.DARK_BLUE
  },
  titleText: {
    flex: 1,
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(12)
  },
  rankingItem: {
    width: '18%',
    margin: '1%',
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    backgroundColor: Colors.FILL_LIGHT,
    borderRadius: 4,
    padding: 4,
    gap: 1
  },
  rankingScore: {
    flex: 0,
    fontFamily: 'montserrat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  avatar: {
    borderRadius: 28 / 2,
    width: 28,
    height: 28,
    borderWidth: 1,
    borderColor: Colors.DARK_LIGHT
  },
  userShowMore: {
    backgroundColor: Colors.FILL_LIGHT,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    gap: 2
  },
  dots: {
    width: 3,
    height: 3,
    borderRadius: 3 / 2,
    backgroundColor: Colors.DARK_BLUE
  },
  updates: {
    flexDirection: 'row',
    alignItems: 'center',
    gap: 6,
    width: '50%',
    padding: 4
  },
  series: {
    display: 'flex',
    flexDirection: 'column',
    gap: 5,
    alignItems: 'center'
  },
  statusBtn: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    gap: 4
  },
  statusText: {
    fontSize: getFontSize(14),
    fontFamily: 'redhat-700',
    color: Colors.WHITE
  },
  statusTextSmall: {
    fontSize: getFontSize(10),
    fontFamily: 'redhat-600'
  },
  statusContainer: { flexDirection: 'row', gap: 8, alignItems: 'center' },
  statusTitle: { flex: 2, color: Colors.DARK_BLUE, fontWeight: '600' },
  statusTitleSmall: { fontSize: 11, color: Colors.TEXT_GRAY, fontWeight: '500' }
});
