import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';
import { getFontSize } from '../../../utils';

export const styles = StyleSheet.create({
  pageWrapper: {
    display: 'flex',
    flexDirection: 'row',
    gap: 20,
    marginTop: -34
  },
  headerText: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  usersMap: { height: 140, width: '100%', borderRadius: 12 },
  avatar: {
    borderRadius: 64 / 2,
    width: 64,
    height: 64,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  userInfoContainer: {
    display: 'flex',
    justifyContent: 'space-between',
    flexDirection: 'row',
    alignItems: 'center'
  },
  userInfo: {
    display: 'flex',
    flexDirection: 'row',
    gap: 10,
    alignItems: 'center'
  },
  linksBox: {
    display: 'flex',
    flexDirection: 'row',
    gap: 15,
    alignItems: 'center',
    marginTop: 4
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  },
  settingsButton: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
    borderWidth: 1,
    borderColor: Colors.LIGHT_GRAY,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  settings: {
    position: 'absolute',
    height: 40,
    width: 40,
    right: -10,
    bottom: -10,
    justifyContent: 'center'
  },
  badgeRoot: { flex: 0, justifyContent: 'flex-end', marginTop: 0 },
  ageText: { color: Colors.DARK_BLUE, fontWeight: '600', fontSize: getFontSize(12) },
  friend: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    gap: 4,
    paddingVertical: 4,
    paddingHorizontal: 8,
    backgroundColor: Colors.ORANGE
  },
  friendText: {
    fontSize: getFontSize(10),
    fontFamily: 'redhat-600',
    color: Colors.WHITE
  },
  nameRow: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  modal: {
    justifyContent: 'flex-end',
    margin: 0
  },
  wrapper: {
    backgroundColor: Colors.WHITE,
    paddingLeft: 15,
    paddingRight: 15,
    borderTopLeftRadius: 10,
    borderTopRightRadius: 10,
    height: 'auto',
    paddingBottom: 36,
    paddingTop: 24
  },
  btnModalEdit: {
    paddingHorizontal: 16,
    paddingVertical: 8,
    flexDirection: 'row',
    alignItems: 'center',
    gap: 12,
    justifyContent: 'space-between'
  },
  btnModalEditText: { fontSize: 12, fontWeight: '600', color: Colors.DARK_BLUE }
});
