import { StyleSheet } from 'react-native';
import { Colors } from '../../../../theme';
import { getFontSize } from '../../../../utils';

export const UNMastersListStyles = StyleSheet.create({
  wrapper: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
  },
  countryAndYearItemWrapper: {
    display: 'flex',
    flexDirection: 'column',
  },
  countryAndYearHeader: {
    width: '100%',
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: 'row',
    marginTop: 5,
    marginBottom: 8,
    gap: 5
  },
  firstAndLastName: {
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  avatar: {
    borderRadius: 24,
    width: 48,
    height: 48,
    marginTop: 3,
    marginBottom: 3,
    alignSelf: 'center'
  },
  descriptionText: {
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(12),
    fontWeight: '600'
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  }
});
