import { Dimensions, StyleSheet } from 'react-native';
import { Colors } from 'src/theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  countryItem: {
    backgroundColor: Colors.FILL_LIGHT,
    padding: 12,
    marginBottom: 12,
    borderRadius: 8
  },
  headerContainer: { flexDirection: 'row', alignItems: 'center', gap: 12 },
  flag: {
    width: 48,
    height: 48,
    resizeMode: 'cover',
    borderRadius: 24,
    borderWidth: 1,
    borderColor: Colors.DARK_LIGHT
  },
  countryDetails: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  countryName: {
    fontWeight: 'bold',
    fontSize: 14,
    color: Colors.DARK_BLUE
  },
  divider: { height: 1, backgroundColor: Colors.DARK_LIGHT, marginVertical: 12 },
  durationContainer: {
    flexDirection: 'row',
    justifyContent: 'center',
    gap: 8,
    flexWrap: 'wrap',
    flex: Dimensions.get('window').width < 385 ? 1 : 0
  },
  durationItem: {
    alignItems: 'center',
    justifyContent: 'center',
    gap: 4
  },
  durationIconActive: {
    backgroundColor: Colors.WHITE
  },
  durationIconInactive: {
    backgroundColor: Colors.LIGHT_GRAY
  },
  visitDuration: {
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(12)
  },
  btnContainer: {
    alignItems: 'center',
    justifyContent: 'flex-end',
    flexDirection: 'row',
    gap: 8,
    flex: 1
  },
  markVisitedButton: {
    backgroundColor: Colors.ORANGE,
    paddingVertical: 6,
    paddingHorizontal: 12,
    borderRadius: 6,
    alignItems: 'center',
    borderWidth: 1,
    borderColor: Colors.ORANGE
  },
  visitedButton: {
    backgroundColor: 'transparent',
    paddingVertical: 6,
    paddingHorizontal: 12,
    borderRadius: 6,
    alignItems: 'center',
    borderColor: Colors.BORDER_LIGHT,
    borderWidth: 1,
    flex: Dimensions.get('window').width < 380 ? 1 : 0
  },
  markVisitedButtonText: {
    color: 'white',
    fontWeight: 'bold',
    fontSize: 13
  },
  visitedButtonText: {
    color: Colors.DARK_BLUE,
    fontWeight: 'bold',
    fontSize: 13
  },
  visitedContainer: { gap: 6, flexDirection: 'row', alignItems: 'center' },
  editScoreBtn: {
    borderRadius: 20,
    borderWidth: 1,
    borderColor: Colors.LIGHT_GRAY,
    alignItems: 'center',
    justifyContent: 'center',
    padding: 7
  }
});
