import { StyleSheet } from 'react-native';
import { Colors } from 'src/theme';

export const styles = StyleSheet.create({
  regionItem: {
    backgroundColor: Colors.FILL_LIGHT,
    padding: 12,
    borderRadius: 8,
    gap: 12,
    marginVertical: 6
  },
  regionItemHeader: {
    flexDirection: 'row',
    gap: 12,
    alignItems: 'center'
  },
  regionImage: {
    width: 60,
    height: 60,
    borderRadius: 30
  },
  regionItemName: {
    fontSize: 14,
    fontWeight: 'bold',
    color: Colors.DARK_BLUE
  },
  regionItemSubname: {
    fontSize: 12,
    fontWeight: '500',
    color: Colors.DARK_BLUE,
    flexShrink: 1
  },
  flag: {
    height: 24,
    width: 24,
    borderRadius: 12,
    resizeMode: 'cover',
    borderWidth: 1,
    borderColor: Colors.DARK_LIGHT
  },
  regionItemContent: {
    flexDirection: 'row',
    alignItems: 'center',
    gap: 8
  },
  divider: { height: 1, backgroundColor: Colors.DARK_LIGHT },
  btnContainer: {
    alignItems: 'center',
    justifyContent: 'flex-end',
    flexDirection: 'row',
    gap: 8,
    flex: 1
  },
  btn: {
    paddingVertical: 6,
    paddingHorizontal: 12,
    borderRadius: 6,
    alignItems: 'center',
    borderWidth: 1
  },
  markVisitedButton: {
    backgroundColor: Colors.ORANGE,
    borderColor: Colors.ORANGE
  },
  visitedButton: {
    backgroundColor: 'transparent',
    borderColor: Colors.BORDER_LIGHT
  },
  markVisitedButtonText: {
    color: 'white',
    fontWeight: 'bold',
    fontSize: 13
  },
  visitedButtonText: {
    color: Colors.DARK_BLUE,
    fontWeight: 'bold',
    fontSize: 13
  },
  visitedContainer: { gap: 6, flexDirection: 'row', alignItems: 'center' },
  editBtn: {
    borderRadius: 20,
    borderWidth: 1,
    borderColor: Colors.LIGHT_GRAY,
    alignItems: 'center',
    justifyContent: 'center',
    padding: 7
  },
  infoContent: { flexDirection: 'row', alignItems: 'center', gap: 4 },
  userContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginLeft: 6,
    paddingVertical: 1
  },
  userImageContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  userImage: {
    width: 28,
    height: 28,
    borderRadius: 14,
    marginLeft: -6,
    borderWidth: 1,
    borderColor: Colors.WHITE,
    resizeMode: 'cover'
  },
  userCountContainer: {
    width: 28,
    height: 28,
    borderRadius: 14,
    backgroundColor: Colors.DARK_LIGHT,
    alignItems: 'center',
    justifyContent: 'center',
    marginLeft: -6
  },
  userCount: {
    fontSize: 12,
    color: Colors.DARK_BLUE
  }
});
