import { StyleSheet, Dimensions } from 'react-native';
import { Colors } from '../../../../theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  tabBar: {
    backgroundColor: 'transparent',
    elevation: 0,
    shadowOpacity: 0,
    marginTop: 0,
    height: 42
  },
  tabLabel: {
    color: 'grey',
    fontSize: getFontSize(14),
    fontWeight: '700',
    padding: 8,
    width: Dimensions.get('window').width / 4,
    textAlign: 'center'
  },
  tabStyle: {
    padding: 0,
    marginHorizontal: 2
  },
  modalView: {
    paddingHorizontal: 8,
    paddingVertical: 24,
    alignItems: 'center'
  },
  infoTitle: {
    color: Colors.DARK_BLUE,
    fontSize: 16,
    fontWeight: '700',
    textAlign: 'center',
    marginBottom: 16
  },
  infoText: {
    color: Colors.DARK_BLUE,
    fontSize: 14,
    fontWeight: '400',
    textAlign: 'left',
    marginBottom: 24
  },
  btnContainer: {
    borderColor: Colors.DARK_BLUE,
    backgroundColor: Colors.WHITE,
    width: '60%'
  }
});
