import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';

export const styles = StyleSheet.create({
  background: { height: '100%', flex: 1 },
  contentContainerStyle: { gap: 16, paddingBottom: 16 },
  wrapper: { height: '100%', display: 'flex' },
  title: {
    fontFamily: 'montserrat-700',
    fontSize: 16,
    color: Colors.DARK_BLUE
  },
  row: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    marginBottom:0,
    marginTop: 0
  },
  text: { fontWeight: '400', color: Colors.BLACK, fontSize: 16, textAlign: 'justify' },
  list: { fontWeight: '400', color: Colors.BLACK, fontSize: 16, marginLeft: 30, marginTop: -5 },
  ending: { fontWeight: '400', color: Colors.BLACK, fontSize: 16, marginLeft: 30, marginTop: -5, textAlign: 'right' },
  imgContainer: {
    width: '100%',
    height: 'auto',
    borderRadius: 8,
    backgroundColor: Colors.WHITE,
    alignItems: 'center',
    justifyContent: 'center',
    gap: 6,
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 0 },
    shadowOpacity: 0.15,
    shadowRadius: 8,
    elevation: 8,
    
  },
  image: {
    width: 250,
    height: 250,
    borderRadius: 8,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  infoBlock: { flexDirection: 'row', gap: 8 },
  imgText: { fontSize: 10, color: Colors.DARK_BLUE }
});
