import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';

export const styles = StyleSheet.create({
  background: { height: '100%', flex: 1 },
  contentContainerStyle: { gap: 16, paddingBottom: 16 },
  wrapper: {
    display: 'flex',
    height: '100%'
  },
  title: { paddingLeft: 10, fontWeight: '600', color: Colors.DARK_BLUE, fontSize: 18 },
  subtitle: { paddingLeft: 10, fontWeight: '400', color: Colors.DARK_BLUE, fontSize: 16, fontStyle: 'italic' },
  text: { paddingLeft: 10, fontWeight: '400', color: Colors.BLACK, marginBottom: 10, fontSize: 16, textAlign: 'justify' },
  iconContainer: {
    width: 50,
    height: 50,
    borderRadius: 8,
    backgroundColor: Colors.WHITE,
    alignItems: 'center',
    justifyContent: 'center',
    gap: 3,
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 0 },
    shadowOpacity: 0.15,
    shadowRadius: 2,
    elevation: 2,
    margin: 15
  },
  row: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: -15,
    marginTop: -10
  },
  column: {
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'flex-start',
    marginBottom: -15,
    marginTop: -10
  },
});
