import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';

export const styles = StyleSheet.create({
  background: { height: '100%', flex: 1 },
  contentContainerStyle: { gap: 16, paddingBottom: 16 },
  wrapper: {
    display: 'flex',
    height: '100%'
  },
  row: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: -15,
    marginTop: -10
  },
  title: { paddingLeft: 10, fontWeight: '600', color: Colors.DARK_BLUE, fontSize: 18 },
  text: { paddingLeft: 10, fontWeight: '400', color: Colors.BLACK, marginBottom: 10, fontSize: 16, textAlign: 'justify' },
  iconContainer: {
    width: 30,
    height: 30,
    borderRadius: 8,
    backgroundColor: Colors.WHITE,
    alignItems: 'center',
    justifyContent: 'center',
    gap: 3,
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 0 },
    shadowOpacity: 0.15,
    shadowRadius: 2,
    elevation: 2,
    margin: 5
  },
  image: {
    width: 130,
    height: 130,
    borderRadius: 8,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  infoBlock: { flexDirection: 'row', gap: 8 },
});
